org.apache.ignite.internal.processors.odbc.odbc

## Class OdbcQueryMoreResultsRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.ClientListenerRequestNoId
  - - org.apache.ignite.internal.processors.odbc.odbc.OdbcRequest
    - - org.apache.ignite.internal.processors.odbc.odbc.OdbcQueryMoreResultsRequest

All Implemented Interfaces:
  ClientListenerRequest

    public class OdbcQueryMoreResultsRequest
    extends OdbcRequest

SQL listener query fetch request.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.odbc.OdbcRequest

`META_COLS, META_PARAMS, META_TBLS, MORE_RESULTS, QRY_CLOSE, QRY_EXEC, QRY_EXEC_BATCH, QRY_FETCH, STREAMING_BATCH`

### Fields inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
Constructor and Description
`OdbcQueryMoreResultsRequest(long queryId, int pageSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `pageSize()`
`long` `queryId()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.odbc.OdbcRequest

`command`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.ClientListenerRequestNoId

`requestId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OdbcQueryMoreResultsRequest

    public OdbcQueryMoreResultsRequest(long queryId,
                                       int pageSize)

Parameters:
  `queryId` - Query ID.
  `pageSize` - Page size.

### Method Detail

#### pageSize

    public int pageSize()

Returns:
  Page size.

#### queryId

    public long queryId()

Returns:
  Query ID.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020